.team-grid {
    margin-top: 50px;
    max-width: 100%;
    width: 1200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 50px;
    z-index: 0;
}

.team-grid > .items {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    place-items: center;
    text-align: center;
    width: 100%;
    min-height: 500px;
    height: auto;
    box-shadow: 0 0 100px 1px var(--bg-accent);
    border-radius: var(--rad-lg);
}


.team-grid > :nth-child(odd) {
    direction: rtl;
}

.team-grid > :nth-child(odd) > * {
    direction: ltr;
}

.team-grid > :nth-child(odd) > .tagContainer {
    left: 15px;
    right: auto;
}

.team-grid > .items > .left {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    gap: 20px;
    padding: 20px;
    position: relative !important;
    grid-row: 1;
}

.team-grid .img {
    width: 50%;
    max-width: 300px;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9;
}

.finn {background: url(../../assets/teamPics/linus.webp) 70% / cover no-repeat;}
.alex {background: url(../../assets/teamPics/alex.webp) 80% / cover no-repeat;}

.tagContainer {
    position: absolute;
    top: 15px;
    right: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    z-index: 10;
}

.tag {
    width: fit-content;
    height: auto;
    min-height: fit-content;
    background-color: var(--glass-white);
    display: flex;
    justify-content: center;
    padding: 10px 16.67px 5px 16.67px; /*HALTS MAUL NUTTE ES GEHT NED BESSA*/
    border: 2px solid;
    border-radius: var(--rad-md);
    cursor: pointer;
    transition: var(--transition);
    box-shadow: 0 0 10px 1px var(--bg-accent);
    font-family: var(--font-mono);
    color: #ffffff80;
    font-size: 0.9rem;
}

.tag:hover {
    background-color: var(--glass-border);
    color: white;
}

.ceo { border-color: #ffee00c4; box-shadow: 0 0 5px 1px #ffee00c4, inset 0 0 5px 1px #ffee00c4; }
.web { border-color: #2200ffc4; box-shadow: 0 0 5px 1px #2200ffc4, inset 0 0 5px 1px #2200ffc4; }
.actor { border-color: #ff6600c4; box-shadow: 0 0 5px 1px #ff6600c4, inset 0 0 5px 1px #ff6600c4; }
.writer { border-color: #00eeffc4; box-shadow: 0 0 5px 1px #00eeffc4, inset 0 0 5px 1px #00eeffc4; }
.social { border-color: #ff0077c4; box-shadow: 0 0 5px 1px #ff0077c4, inset 0 0 5px 1px #ff0077c4; }
.camera { border-color: #73ff00c4; box-shadow: 0 0 5px 1px #73ff00c4, inset 0 0 5px 1px #73ff00c4; }

.team-grid span {
    text-align: justify;
    font-weight: 600;
    line-height: 1.8;
    padding: 0 30px;
    grid-row: 1;
}

.items > .left > h1 {
    hyphens: none !important;
    white-space: normal !important;
    overflow-wrap: normal !important;
    word-break: normal !important;
    line-height: 0.9;
    letter-spacing: 3px;
    margin: 0;
    font-size: clamp(2.5rem, 10vw, 5rem);
}

.left > .socials {
    width: fit-content;
    height: auto;
    padding: 10px;
    border-radius: 9999px;
    border: 2px solid var(--glass-border);
    background-color: var(--glass-white);
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    flex-direction: row;
    position: absolute;
    left: 50%;
    top: 0;
    opacity: 0;
    transform: translateX(-50%) translateY(200%);
    transition: var(--transition);
    box-shadow: inset 0 0 5px 1px var(--glass-border);
    z-index: 3;
    backdrop-filter: blur(15px);
}
.left > .socials * {transition: var(--transition);}
.left > .socials > img {
    width: 40px;
    aspect-ratio: 1 / 1;
}

.items:hover > .left >.socials {
    opacity: 1;
    transform: translateX(-50%) translateY(0);
}
.left > .socials:has(img:hover) {
    background-color: var(--glass-border);
}
.left > .socials > img:hover {
    scale: 1.1;
}

.stats {
    width: 100%;
    max-width: 1200px;
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    border-radius: var(--rad-lg) var(--rad-lg) 0 0;
    background: linear-gradient(to top, transparent, var(--deep-purple));
    transition: var(--transition);
}
.stats * {transition: var(--transition);}
.stats > h2 {
    width: 100%;
    height: fit-content;
    background-color: var(--deep-purple);
    border-radius: var(--rad-md) var(--rad-md) 0 0;
    padding-left: 25px;
    border-bottom: 2px solid var(--glass-border);
    text-align: left;
}
.stats > .content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
    width: 100%;
}

.stats > .content > .item {
    background: var(--glass-white);
    border: 1px solid var(--glass-border);
    width: auto;
    height: 80%;
    aspect-ratio: 4 / 3;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    grid-row: 1;
    border-radius: var(--rad-md);
    gap: 10px;
    backdrop-filter: blur(50px);
    box-shadow: 0 0 15px 15px var(--glass-white);
    text-decoration: none;
}
.stats > .content > .item:hover {scale: 1.05;box-shadow: none;}
.stats > .content > .item > div {
    height: 50%;
    width: auto;
    aspect-ratio: 1 / 1;
}

.stats > .content > .item > span {
    font-family: var(--font-mono);
    font-weight: 700;
}
.people {
    background: url(../../assets/group-icon.svg) center / cover no-repeat;
}
.episodes {
    background: url(../../assets/movie-icon.svg) center / cover no-repeat;
}
.location {
    background: url(../../assets/ort-icon.svg) center / 80% no-repeat;
}

@media (max-width: 935px) {
    .stats {
        height: auto;

    }
    .stats > .content {
        flex-direction: column;
        padding: 7.5vw 0;
        justify-content: space-evenly;
        height: 100%;
        width: 100%;
        gap: 40px;
    }
    .stats > .content > .item {
        width: 80%;
    }
}


@media (max-width: 855px) {
    .team-grid {
        gap: 30px;
    }

    .team-grid > .items {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto;
        height: auto;
        min-height: 600px;
        padding-bottom: 80px;
    }

    .team-grid > :nth-child(odd) {
        direction: ltr;
    }

    .team-grid .img {
        width: 60%;
        margin-top: 40px;
    }

    .tagContainer,
    .team-grid > :nth-child(odd) > .tagContainer {
        top: auto;
        left: auto;
        bottom: 20px;
        right: 50%;
        transform: translateX(50%);
        justify-content: center;
        width: 90%;
    }

    .team-grid span {
        font-size: 0.9rem;
        text-align: center;
        padding: 0 20px;
        margin-bottom: 20px;
        font-weight: normal;
        line-height: 1.3;
        grid-row: 2;
    }

    .items > .left > h1 {
        font-size: clamp(2.5rem, 10vw, 5rem);
    }
    .items:hover > .left >.socials {
        transform: translateX(-50%) translateY(-10%);
    }

}

@media (max-width: 480px) {
    .team-grid .img {
        width: 70%;
    }
    
    .team-grid span {
        padding: 0 15px;
    }
}